class KDockWidgetPrivate

# class KDockWidgetPrivate | additional KDockWidget stuff (private) More...
Definition | `#include <kdockwidget_private.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum KDockWidgetResize {ResizeLeft,ResizeTop,ResizeRight,ResizeBottom,ResizeBottomLeft,ResizeTopLeft,ResizeBottomRight,ResizeTopRight}

#### Public Methods

- KDockWidgetPrivate ()
- ~KDockWidgetPrivate ()

#### Public Slots

- void slotFocusEmbeddedWidget (QWidget* w = 0L)

#### Public Members

- int index
- int splitPosInPercent
- bool pendingFocusInEvent
- bool blockHasUndockedSignal
- bool pendingDtor
- int forcedWidth
- int forcedHeight
- bool isContainer
- NET::WindowType windowType
- QWidget *_parent
- bool transient
- QGuardedPtr container
- QPoint resizePos
- bool resizing
- KDockWidgetResize resizeMode

## Detailed Description

additional KDockWidget stuff (private)

KDockWidgetPrivate () | ### KDockWidgetPrivate

~KDockWidgetPrivate () | ### ~KDockWidgetPrivate

void slotFocusEmbeddedWidget (QWidget* w = 0L) | ### slotFocusEmbeddedWidget

[slot]

Especially used for Tab page docking. Switching the pages requires additional setFocus() for the embedded widget.

enum KDockWidgetResize {ResizeLeft,ResizeTop,ResizeRight,ResizeBottom,ResizeBottomLeft,ResizeTopLeft,ResizeBottomRight,ResizeTopRight} | ### KDockWidgetResize

int index | ### index

int splitPosInPercent | ### splitPosInPercent

bool pendingFocusInEvent | ### pendingFocusInEvent

bool blockHasUndockedSignal | ### blockHasUndockedSignal

bool pendingDtor | ### pendingDtor

int forcedWidth | ### forcedWidth

int forcedHeight | ### forcedHeight

bool isContainer | ### isContainer

NET::WindowType windowType | ### windowType

QWidget * _parent | ### _parent

bool transient | ### transient

QGuardedPtr<QWidget> container | ### container

QPoint resizePos | ### resizePos

bool resizing | ### resizing

KDockWidgetResize resizeMode | ### resizeMode

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:37 2003, using kdoc 2.0a54.